/*
  Copyright (C) 2007 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Classe per gestire un game di una partita di tennis
 *  \author Alessandro Bugatti
 *
 *  \version 0.1
 *  \date  Creazione  10/10/2007
 *  \date  Ultima modifica 20/10/2013
 *
 */

#ifndef TABELLONE_H
#define TABELLONE_H

#include <string>

using namespace std;

/*
 * Tabellone con i punteggi di due squadre
 */
class Tabellone
{

	public:
		// class constructor
		Tabellone();
		// Stampa a video il risultato
		void visualizza();
		// Azzera il punteggio
		void azzera();
		// Incrementa di uno il punteggio del giocatore i
		void incrementaGiocatore(int i);
		//Inserisce i nomi dei giocatori
        void setNomeGiocatore (const string& g, int n);
        string getPunteggio(int i) const;
        int getSituazione() const;
	private:
		// Punteggio del giocatore 1
		int punteggio[2];
		// Nomi dei gioatori
		string giocatore[2];
};

#endif // TABELLONE_H
